sayren Docs
구매자

구매자 상세 조회

GET
/v1/customers/{customerId}

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

customerId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/customers/string' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "customerId": "string",    "name": "string",    "email": "string",    "phone": "string",    "joinedAt": "string",    "point": 0,    "marketingAgreed": true,    "loginMethods": [      {        "method": "password",        "linkedAt": "string"      }    ],    "consents": {      "terms": {        "kind": "TERMS",        "agreed": true,        "agreedVersion": "string",        "currentVersion": "string",        "currentDocumentUrl": "string",        "updatedAt": "string",        "reconsentRequired": true      },      "privacy": {        "kind": "TERMS",        "agreed": true,        "agreedVersion": "string",        "currentVersion": "string",        "currentDocumentUrl": "string",        "updatedAt": "string",        "reconsentRequired": true      },      "marketing": {        "kind": "TERMS",        "agreed": true,        "agreedVersion": "string",        "currentVersion": "string",        "currentDocumentUrl": "string",        "updatedAt": "string",        "reconsentRequired": true      },      "reconsentRequired": true    },    "addresses": [      {        "addressId": "string",        "alias": "string",        "isDefault": true,        "receiverName": "string",        "phone": "string",        "zipCode": "string",        "address1": "string",        "address2": "string"      }    ],    "stats": {      "orderCount": 0,      "totalPaid": 0,      "lastOrderedAt": "string",      "canceledOrReturnedCount": 0,      "reviewCount": 0,      "inquiryCount": 0    }  },  "error": null}